﻿.text-Red,
.text-Yellow,
.text-Dark,
.text-Grey,
.text-Orange,
.text-Green {
    font-weight: bold;
    font-size: 14px;
    letter-spacing: -0.28px;
    opacity: 1;
}

.text-Green {
    color: #2EB872;
}

.text-Dark {
    color: #656565;
}

.text-Red {
    color: #EF5731;
}


.text-borderbgcolor-Red,
.text-borderbgcolor-Yellow,
.text-borderbgcolor-Dark,
.text-borderbgcolor-Grey,
.text-borderbgcolor-Orange,
.text-borderbgcolor-Green {
    border: 1px solid;
    border-radius: 5px;
    color: #FFFFFF;
    display: inline-block;
    padding: 3px 8px;
    text-align: center;
    font-weight: bold;
    line-height: 18px;
    font-size: 10px !important;
    letter-spacing: -0.26px;
}

.text-borderbgcolor-Dark {
    background-color: #F2F2F2;
    color: #292929 !important;
    border-color: #292929;
}

.text-borderbgcolor-Grey {
    background-color: #F2F2F2;
    color: #656565;
    border-color: #656565;
}

.text-borderbgcolor-Orange {
    background-color: #FFEEDD;
    color: #F37E08;
    border-color: #F37E08;
}

.text-borderbgcolor-Red {
    background-color: #FFEEDD;
    color: #E33E14;
    border-color: #E33E14;
}

.text-borderbgcolor-Yellow {
    background-color: #FFFAE8;
    color: #FFCA00;
    border-color: #FFCA00;
}

.text-borderbgcolor-Green {
    background-color: #E5F8E5;
    color: #2EB872;
    border-color: #2EB872;
}

.text-Background-White,
.text-Background-Yellow,
.text-Background-Red,
.text-Background-Display,
.text-Background-Green {
    border: 0;
    border-radius: 5px;
    color: #FFFFFF;
    display: inline-block;
    letter-spacing: -0.22px;
    color: #FFFFFF;
    opacity: 1;
    padding: 6px 10px;
    text-align: center;
    font-size: 11px;
}

.text-Background-White {
    background: #F2F2F2;
    font-size: 13px !important;
    color: #292929 !important;
}

.text-Background-Yellow {
    background: #FFCA00;
}

.text-Background-Red {
    background: #E33E14;
}

.text-Background-Display {
    background-color: #676767;
}

.text-Background-Green {
    background-color: #2EB872;
}

.button-sm {
    padding: 7px 20px 7px 20px !important;
}

.iconFocus i {
    color: #FFCA00 !important;
}


.button-Yellow, .button-Red, .button-Display, .button-Orange, .button-Green, .applyBtn, .cancelBtn {
    border-radius: 5px;
    color: #FFFFFF;
    cursor: pointer;
    display: inline-block;
    line-height: 18px;
    letter-spacing: -0.28px;
    font-weight: normal !important;
    color: #FFFFFF !important;
    padding: 9px 36px;
    height: auto !important;
    text-align: center;
    text-rendering: geometricprecision;
    text-transform: none;
    user-select: none;
    -webkit-user-select: none;
    touch-action: manipulation;
    vertical-align: middle;
}

.button-Yellow, .applyBtn {
    background: #FFCA00 !important;
    border: 1px solid #FFCA00 !important;
}

.button-Orange {
    background: #F37E08 !important;
    border: 1px solid #F37E08 !important;
}

.button-Red {
    background: #E33E14 !important;
    border: 1px solid #E33E14 !important;
}

.button-Display, .cancelBtn {
    background-color: #676767 !important;
    border: 1px solid #676767 !important;
}

.button-Green {
    background-color: #2EB872 !important;
    border: 1px solid #2EB872 !important;
}

.button-Yellow:hover {
    background-color: #F8B00E !important;
}

.button-Yellow:disabled {
    cursor: auto !important;
    background: #F8D584 0% 0% no-repeat padding-box !important;
}

.button-Yellow:focus {
    outline: 0 !important;
    box-shadow: 0px 1px 3px #00000029 !important;
}

.button-Red:hover {
    background-color: #C32B05 !important;
}

.button-Red:disabled {
    cursor: auto !important;
    background: #FFA48D 0% 0% no-repeat padding-box !important;
}

.button-Red:focus {
    outline: 0 !important;
    box-shadow: 0px 1px 3px #00000029 !important;
}

.button-Display:hover {
    background-color: #3C3C3C !important;
}

.button-Display:disabled {
    cursor: auto !important;
    background: #e3e3e3 0% 0% no-repeat padding-box !important;
}

.button-Display:focus {
    outline: 0 !important;
    box-shadow: 0px 1px 3px #00000029 !important;
}

.button-Green:hover {
    background-color: #17A55D !important;
}

.button-Green:disabled {
    cursor: auto !important;
    background: #79E8A9 0% 0% no-repeat padding-box !important;
}

.button-Green:focus {
    outline: 0 !important;
    box-shadow: 0px 1px 3px #00000029 !important;
}


input:where([type="radio"]) {
    -webkit-appearance: none;
    appearance: none;
    width: 16px;
    height: 16px;
    vertical-align: top;
    border: 1px solid #e3e3e3;
    border-radius: 4px;
}

input[type="radio"] {
    border-radius: 50%;
}

    input[type="radio"]:focus {
        outline: none !important;
        outline: 0 !important;
    }

input:where([type="radio"]):checked {
    background: #FFCA00 no-repeat center center;
}

input:where([type="radio"]):hover {
    border: 1px solid #FFCA00;
}

input[type="file"] {
    padding-top: 8px;
}

input[type=file]::file-selector-button {
    background: #F2F2F2;
    border: 1px solid #e3e3e3;
    border-radius: 3px;
    transition: 1s;
}

input[type=file]:focus {
    outline: 0 !important;
    outline: 0 !important;
    outline-offset: 0 !important;
}

input[type=file]::file-selector-button:hover {
    background-color: #e3e3e3;
}

a:not(.button-Yellow:hover, .button-Red:hover, .button-Display:hover, .button-Orange:hover, .button-Green:hover, .applyBtn:hover, .cancelBtn:hover, .panel-toggle:hover):hover {
    color: #FFCA00;
}

a:has(>.ti-playstation-square):hover, a:has(>.ti-video):hover, a:has(>.ti-trash):hover {
    color: #e33e14 !important;
}

.button-Green:has(>.ti), .button-Yellow:has(>.ti), .button-Red:has(>.ti), .button-Orange:has(>.ti), .applyBtn:has(>.ti), .cencelBtn:has(>.ti) {
    padding-right: 10px !important;
}

.form-control[type=text]:focus, .form-control[type=email]:focus, .form-control[type=file]:focus, textarea:not(.select2-search__field):focus, .form-control[type=password]:focus, .form-control[type=number]:focus {
    -webkit-box-shadow: none !important;
    box-shadow: none !important;
    border: 1px solid #FFCA00 !important;
    background-color: #FFFFFF !important;
}

.form-control[type=text]:focus-visible, .form-control[type=password]:focus-visible, .form-control[type=file]:focus-visible, .form-control[type=email]:focus-visible, textarea:not(.select2-search__field):focus-visible, .form-control[type=number]:focus-visible {
    outline: 0 !important;
}

input[type="radio"], input[type="checkbox"] {
    margin: 2px 5px 5px !important;
}

input[type="checkbox"] {
    position: relative;
    display: inline-block;
    margin-right: 5px;
}

    input[type="checkbox"]::before,
    input[type="checkbox"]::after {
        position: absolute;
        content: "";
        display: inline-block;
    }

    input[type="checkbox"]::before {
        height: 16px;
        width: 16px;
        border: 1px solid #999;
        left: 0px;
        top: 0px;
        background-color: #fff;
        border-radius: 2px;
    }

    input[type="checkbox"]::after {
        height: 5px;
        width: 9px;
        left: 4px;
        top: 4px;
    }

    input[type="checkbox"]:checked::after {
        content: "";
        border-left: 1px solid #fff;
        border-bottom: 1px solid #fff;
        transform: rotate(-45deg);
    }

    input[type="checkbox"]:checked::before {
        background-color: #ffca00;
        border-color: #ffca00;
    }

    input[type="checkbox"][disabled]::before {
        /*background-color: #eeeeee !important;*/
    }

.form-control[type=text], .form-control[type=password], .form-control[type=email], .form-control[type=file], .form-control[type=number], textarea:not(.select2-search__field) ~ .iconxRed {
    display: block;
}

input[type="password"] {
    min-width: 40px;
    height: auto;
}

.form-control[type=text], .form-control[type=password], .form-control[type=email], .form-control[type=file], .form-control[type=number], textarea:not(.select2-search__field):not(.resizable-textarea), .textarea {
    border: 1px solid #e3e3e3 !important;
    letter-spacing: 0 !important;
    text-align: left !important;
    color: #676767 !important;
    display: block;
    width: 100% !important;
    height: 38px !important;
    padding: 9px 16px;
    background-color: #fff !important;
    background-clip: padding-box;
    border-radius: 5px !important;
    transition: border-color .15s ease-in-out,box-shadow .15s ease-in-out;
    box-shadow: none !important;
}

.textBoxInvalid {
    border-color: #EF5731 !important;
}

.showPassword {
    background-image: url('../Images/FileIcons/show.png');
    width: 24px;
    height: 24px;
    background-repeat: no-repeat;
    cursor: pointer;
    float: right;
    margin-right: 24px;
    margin-top: -33px;
    position: relative;
    z-index: 2;
}

.form-control[type=file] {
    cursor: pointer;
}

.iconxRed {
    background-image: url('../xRed.png');
    width: 24px;
    height: 24px;
    background-repeat: no-repeat;
    cursor: pointer;
    float: right;
    margin-right: 18px;
    margin-top: -24px;
    position: relative;
    z-index: 5;
    display: none;
}

.hidePassword {
    background-image: url('../Images/FileIcons/hide.png') !important;
}

.selectleftininput > .select2-container {
    position: absolute;
    margin-left: 5px;
    margin-top: 6px;
    width: 70px !important;
    min-width: 70px;
}

.selectleftininput > .select2-container--default .select2-selection--single {
    padding: 0;
    height: 26px;
}

    .selectleftininput > .select2-container--default .select2-selection--single .select2-selection__rendered {
        line-height: 24px;
    }

    .selectleftininput > .select2-container--default .select2-selection--single .select2-selection__arrow b {
        margin-top: 0;
        margin-left: -5px;
    }

    .selectleftininput > .select2-container--default .select2-selection--single .select2-selection__arrow b {
        top: 40%;
        left: 37%;
    }

    .selectleftininput > .select2-container--default .select2-selection--single .select2-selection__rendered {
        background: #F2F2F2;
        color: #676767;
        border-radius: 5px;
        height: 26px;
    }


.selectrightininput > .select2-container {
    position: absolute;
    right: 32px;
    margin-top: 6px;
    width: 70px !important;
    min-width: 70px;
}

.selectrightininput > .select2-container--default .select2-selection--single {
    padding: 0;
    height: 26px;
}

    .selectrightininput > .select2-container--default .select2-selection--single .select2-selection__rendered {
        line-height: 24px;
    }

    .selectrightininput > .select2-container--default .select2-selection--single .select2-selection__arrow b {
        margin-top: 0;
        margin-left: -5px;
    }

    .selectrightininput > .select2-container--default .select2-selection--single .select2-selection__arrow b {
        top: 40%;
        left: 37%;
    }

    .selectrightininput > .select2-container--default .select2-selection--single .select2-selection__rendered {
        background: #F2F2F2;
        color: #676767;
        border-radius: 5px;
        height: 26px;
    }

.select2-container--default .select2-selection--single {
    border: 1px solid #e3e3e3 !important;
    padding: 5px 10px;
    height: 38px;
}

.addininput {
    position: absolute;
    margin-left: -75px;
    margin-top: 7px;
}

.textareaInButton > textarea {
    padding-right: 70px;
    float: left;
}

textarea {
    resize: none;
}

.buttonininput {
    background: #F2F2F2 0% 0% no-repeat padding-box;
    border: 1px solid #e3e3e3;
    border-radius: 30px;
    padding: 4px 8px;
    cursor: pointer;
    font-size: 10px;
}

select[readonly] {
    pointer-events: none;
}

.inputicontext > .select2-container--default .select2-selection--single .select2-selection__rendered {
    padding-left: 6px !important;
}

.inputicontext > .form-control {
    padding-left: 25px !important;
}

.iconFeedBack {
    position: absolute;
    z-index: 2;
    background-repeat: no-repeat;
    margin: 11px;
    padding: 10px;
    color: #656565;
}

    .iconFeedBack + .form-control {
        padding-left: 36px !important;
    }

.mydatepicker {
    padding-left: 36px;
}

.mydatepickerwithhour {
    padding-left: 36px;
}

.myBetweendatepicker {
    padding-left: 36px;
}

.button-trash:hover {
    color: #E33E14 !important;
    cursor: pointer;
}
